package silastang.camera_flash;
import android.app.Activity;
import android.os.Build;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.embedding.engine.plugins.activity.ActivityAware;
import io.flutter.plugin.common.BinaryMessenger;

import io.flutter.plugins.camera.CameraPermissions;
import io.flutter.plugins.camera.CameraPlugin;
import io.flutter.view.TextureRegistry;

/** CameraFlashPlugin */
public class CameraFlashPlugin extends CameraPlugin implements FlutterPlugin, ActivityAware {

  public void maybeStartListening(Activity activity, BinaryMessenger messenger, CameraPermissions.PermissionsRegistry permissionsRegistry, TextureRegistry textureRegistry) {
    if (Build.VERSION.SDK_INT < Build.VERSION_CODES.LOLLIPOP) {
      // If the sdk is less than 21 (min sdk for Camera2) we don't register the plugin.
      return;
    }

    methodCallHandler =
            new FlashMethodCallHandlerImpl(
                    activity, messenger, new CameraPermissions(), permissionsRegistry, textureRegistry);
  }
}
